Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-6204bis-10.txt

From: Wuyts Carl <[email-masked]>
Date: Tue, 4 Sep 2012 15:44:43 +0200

+1 on Barbara's statement.

1.       It isn't broken

2.       Let's not (again) add extra requirements for the CPE to keep track of the dhcp status on power outages or power down, keep it simple please

Tx and regs
Carl

From: [email-masked] [mailto:[email-masked]] On Behalf Of STARK, BARBARA H
Sent: donderdag 16 augustus 2012 19:50
To: Ted Lemon; Bernie Volz (volz)
Cc: Operations Operations
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-6204bis-10.txt

Service providers have been dealing with "simultaneous" mass repowering of routers for a long time. There currently exist requirements for multiple retries of all necessary protocols, at random intervals (within reasonable limits). I believe that all requirements necessary for such staggered retries are in place, and are sufficient for dealing with mass coming-on-line. I also believe that maintaining DHCP configuration across reboots is undesirable. If we were to say anything, I would prefer to forbid it, rather than mandate it. But, I don't think we need to be saying anything at all, because, thankfully, I'm not aware of devices that maintain DHCP config across reboots.

I don't believe that the scenario of mass power outage that takes out massive quantities of CE routers + the DHCP server, but that leaves all other access network elements intact is a probable scenario. As such, I don't think it's worthy of a requirement.

It ain't broke. Please, let's not "fix" it.
Barbara

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Ted Lemon
Sent: Thursday, August 16, 2012 1:07 PM
To: Bernie Volz (volz)
Cc: Operations Operations
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-6204bis-10.txt

On Aug 16, 2012, at 12:53 PM, Bernie Volz (volz) wrote:
If this were to include power failures, how would the CPE know how much time has elapsed while it was down which could cause more significant issues because of the lease time -- and having to maintain a clock via battery backup is probably not a good idea.

I'm specifically referring to power outages.   If the CPE doesn't get a response from a Confirm, doesn't it get to use the address?   The question about the clock is interesting, but it seems like a safe assumption that a power cycle is short; if it's long, and wasn't the result of a power outage, the Confirm transaction will prevent anything bad from happening.

---

From: Wuyts Carl <[email-masked]>
Date: Wed, 5 Sep 2012 14:04:54 +0200

Some small remarks on the changes:

1.

The document also covers the IP transition technologies. technologies that were
   available at the time this document was written.  Two transition
   technologies in 6rd [RFC5969] and DS-Lite [RFC6333] are covered in
   the document.

I'd say it might be useful to include RFC6334 into this sentence as well (as being referred as well later in the individual reqs), so something like

The document also covers the IP transition technologies. technologies that were
   available at the time this document was written.  Two transition
   technologies in 6rd [RFC5969] and DS-Lite [RFC6333/RFC6334] are covered in
   the document.

2.

WAA-8:   The CE router must support the SOL_MAX_RT option
            [I-D.droms-dhc-dhcpv6-solmaxrt-update] and request the
            SOL_MAX_RT option in an ORO.
I've already sent an email to the DHC WG on this earlier this week.  It is ok for me to refer to a draft, but as there's no number assigned to the option (yet), no-one can become compliant...

Regs
Carl

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: donderdag 16 augustus 2012 18:05
To: [email-masked]
Cc: [email-masked]
Subject: [v6ops] I-D Action: draft-ietf-v6ops-6204bis-10.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Operations Working Group of the IETF.

	Title           : Basic Requirements for IPv6 Customer Edge Routers
	Author(s)       : Hemant Singh
                          Wes Beebee
                          Chris Donley
                          Barbara Stark
	Filename        : draft-ietf-v6ops-6204bis-10.txt
	Pages           : 22
	Date            : 2012-08-16

Abstract:
   This document specifies requirements for an IPv6 Customer Edge (CE)
   router.  Specifically, the current version of this document focuses
   on the basic provisioning of an IPv6 CE router and the provisioning
   of IPv6 hosts attached to it.  The document also covers IP transition
   technologies.  Two transition technologies in RFC 5969's 6rd and RFC
   6333's DS-Lite are covered in the document.  The document obsoletes
   RFC 6204, if approved.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-6204bis

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-v6ops-6204bis-10

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-6204bis-10

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops